# ParameterHandleValuePairSet Class Reference

`#include <GAV.hh>`

List of all members.

## Public Member Functions
| ParameterHandleValuePairSet (ULong size)
virtual | ~ParameterHandleValuePairSet ()
virtual ULong | size () const
virtual Handle | getHandle (ULong i) const throw (ArrayIndexOutOfBounds)
virtual ULong | getValueLength (ULong i) const throw (ArrayIndexOutOfBounds)
virtual void | getValue (ULong i, char *buff, ULong &valueLength) const throw (ArrayIndexOutOfBounds)
virtual char * | getValuePointer (ULong i, ULong &valueLength) const throw (ArrayIndexOutOfBounds)
virtual TransportType | getTransportType () const throw (InvalidHandleValuePairSetContext)
virtual OrderType | getOrderType () const throw (InvalidHandleValuePairSetContext)
virtual void | add (Handle h, const char *buff, ULong valueLength) throw (ValueLengthExceeded, ValueCountExceeded)
virtual void | remove (Handle h) throw (ArrayIndexOutOfBounds)
virtual void | moveFrom (const ParameterHandleValuePairSet &phvps, ULong &i) throw (ValueCountExceeded, ArrayIndexOutOfBounds)
virtual void | empty ()
virtual ULong | start () const
virtual ULong | valid (ULong i) const
virtual ULong | next (ULong i) const
## Public Attributes
OrderType | _order
TransportType | _transport
## Protected Attributes
std::list < ParameterHandleValuePair * > | _set

## Detailed Description

Definition at line 152 of file GAV.hh.

## Constructor & Destructor Documentation

ParameterHandleValuePairSet | ( | ULong | size | ) |

Definition at line 395 of file GAV.cc.

References ParameterHandleValuePairSet::_order, ParameterHandleValuePairSet::_transport, certi::RECEIVE, and certi::RELIABLE.

~ParameterHandleValuePairSet | ( |  | ) | `[virtual]`

Definition at line 401 of file GAV.cc.

References ParameterHandleValuePairSet::empty().

Here is the call graph for this function:

## Member Function Documentation

ULong size | ( |  | ) | const`[virtual]`

Definition at line 408 of file GAV.cc.

References ParameterHandleValuePairSet::_set.

Handle getHandle | ( | ULong | i | ) | const throw (ArrayIndexOutOfBounds)`[virtual]`

Definition at line 415 of file GAV.cc.

References ParameterHandleValuePairSet::_set.

ULong getValueLength | ( | ULong | i | ) | const throw (ArrayIndexOutOfBounds)`[virtual]`

Definition at line 429 of file GAV.cc.

References ParameterHandleValuePairSet::_set.

void getValue | ( | ULong | i,
|  | char * | buff,
|  | ULong & | valueLength |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[virtual]`

Definition at line 443 of file GAV.cc.

References ParameterHandleValuePairSet::_set.

char * getValuePointer | ( | ULong | i,
|  | ULong & | valueLength |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[virtual]`

Definition at line 462 of file GAV.cc.

References ParameterHandleValuePairSet::_set.

TransportType getTransportType | ( |  | ) | const throw (InvalidHandleValuePairSetContext)`[inline, virtual]`

Definition at line 479 of file GAV.cc.

References ParameterHandleValuePairSet::_transport.

OrderType getOrderType | ( |  | ) | const throw (InvalidHandleValuePairSetContext)`[inline, virtual]`

Definition at line 487 of file GAV.cc.

References ParameterHandleValuePairSet::_order.

void add | ( | Handle | h,
|  | const char * | buff,
|  | ULong | valueLength |
| ) |  |  | throw (ValueLengthExceeded, ValueCountExceeded)`[virtual]`

Definition at line 495 of file GAV.cc.

References ParameterHandleValuePairSet::_set.

void remove | ( | Handle | h | ) | throw (ArrayIndexOutOfBounds)`[virtual]`

Definition at line 508 of file GAV.cc.

References ParameterHandleValuePairSet::_set.

void moveFrom | ( | const ParameterHandleValuePairSet & | phvps,
|  | ULong & | i |
| ) |  |  | throw (ValueCountExceeded, ArrayIndexOutOfBounds)`[virtual]`

Definition at line 525 of file GAV.cc.

void empty | ( |  | ) | `[virtual]`

Definition at line 534 of file GAV.cc.

References ParameterHandleValuePairSet::_set.

Referenced by ParameterHandleValuePairSet::~ParameterHandleValuePairSet().

ULong start | ( |  | ) | const`[virtual]`

Definition at line 544 of file GAV.cc.

ULong valid | ( | ULong | i | ) | const`[virtual]`

Definition at line 552 of file GAV.cc.

ULong next | ( | ULong | i | ) | const`[virtual]`

Definition at line 560 of file GAV.cc.

## Member Data Documentation

OrderType _order

Definition at line 155 of file GAV.hh.

Referenced by ParameterHandleValuePairSet::getOrderType(), and ParameterHandleValuePairSet::ParameterHandleValuePairSet().

TransportType _transport

Definition at line 156 of file GAV.hh.

Referenced by ParameterHandleValuePairSet::getTransportType(), and ParameterHandleValuePairSet::ParameterHandleValuePairSet().

std::list<ParameterHandleValuePair *> _set`[protected]`

Definition at line 194 of file GAV.hh.

Referenced by ParameterHandleValuePairSet::add(), ParameterHandleValuePairSet::empty(), ParameterHandleValuePairSet::getHandle(), ParameterHandleValuePairSet::getValue(), ParameterHandleValuePairSet::getValueLength(), ParameterHandleValuePairSet::getValuePointer(), ParameterHandleValuePairSet::remove(), and ParameterHandleValuePairSet::size().

The documentation for this class was generated from the following files:

- GAV.hh
- GAV.cc